summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--mail-mta/citadel/citadel-9999.ebuild215
-rw-r--r--mail-mta/citadel/files/citadel.confd24
-rw-r--r--mail-mta/citadel/files/citadel.init36
-rw-r--r--mail-mta/citadel/files/mailer.conf9
-rw-r--r--media-libs/babl/babl-0.9999.ebuild37
-rw-r--r--media-libs/libgpod/libgpod-9999.ebuild76
-rw-r--r--net-wireless/bluez/bluez-9999.ebuild182
-rw-r--r--net-wireless/bluez/files/4.18/bluetooth-conf.d10
-rw-r--r--net-wireless/bluez/files/4.18/bluetooth-init.d48
-rw-r--r--net-wireless/bluez/files/4.18/conf.d-hidd5
-rw-r--r--net-wireless/bluez/files/4.18/cups-location.patch18
-rw-r--r--net-wireless/bluez/files/4.18/init.d-hidd29
-rw-r--r--net-wireless/bluez/files/4.31-as_needed.patch31
-rw-r--r--net-wireless/bluez/files/4.34-conditional_libsbc.patch39
-rw-r--r--net-wireless/bluez/files/4.60/bluetooth-conf.d7
-rw-r--r--net-wireless/bluez/files/4.60/bluetooth-init.d31
-rw-r--r--net-wireless/bluez/files/4.60/cups-location.patch13
-rw-r--r--net-wireless/bluez/files/bluetooth-init.d33
-rw-r--r--net-wireless/bluez/files/bluez-4.18-udev.rules5
-rw-r--r--net-wireless/bluez/files/bluez-4.18-udev.script28
-rw-r--r--net-wireless/bluez/files/bluez-4.62-makefile_ipctest.patch29
-rw-r--r--net-wireless/bluez/files/bluez-alsa_location.patch16
-rwxr-xr-xnet-wireless/bluez/files/bluez-plugdev.patch14
-rw-r--r--net-wireless/bluez/files/conf.d-dund4
-rw-r--r--net-wireless/bluez/files/init.d-dund25
-rw-r--r--net-wireless/bluez/files/init.d-hidd30
-rw-r--r--x11-libs/qtscriptgenerator/files/gcc4.4.patch12
-rw-r--r--x11-libs/qtscriptgenerator/qtscriptgenerator-9999.ebuild76
28 files changed, 0 insertions, 1082 deletions
diff --git a/mail-mta/citadel/citadel-9999.ebuild b/mail-mta/citadel/citadel-9999.ebuild
deleted file mode 100644
index d131f21..0000000
--- a/mail-mta/citadel/citadel-9999.ebuild
+++ /dev/null
@@ -1,215 +0,0 @@
-# Copyright 1999-2011 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-arch/xz-utils/xz-utils-9999.ebuild,v 1.6 2010/06/19 00:36:37 abcd Exp $
-
-EAPI="2"
-
-EGIT_REPO_URI="git://git.citadel.org/appl/gitroot/citadel.git"
-inherit eutils git multilib autotools
-
-DESCRIPTION="Git master version of the whole citadel suit"
-HOMEPAGE="http://citadel.org"
-
-LICENSE="GPL-3"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-IUSE="ldap pam pic postfix ssl threads"
-
-RDEPEND="!mail-mta/ssmtp
- >=dev-libs/libcitadel-9999
- net-mail/mailbase
- ldap? ( >=net-nds/openldap-2.0.27 )
- pam? ( sys-libs/pam )
- postfix? ( mail-mta/postfix )
- ssl? ( >=dev-libs/openssl-0.9.6 )
- !postfix? ( !virtual/mta )
- !net-mail/mailwrapper"
-# removed mailwrapper stuff entirely and made sure it isn't left on system
-DEPEND="${RDEPEND}
- >=sys-devel/autoconf-2.52
- >=sys-devel/libtool-1.4"
-PROVIDE="!postfix? ( virtual/mta )
- virtual/mda
- virtual/imapd"
-
-MESSAGEBASE="/var/lib/citadel"
-
-pkg_setup() {
- #Homedir needs to be the same as --with-datadir
- einfo "Adding Citadel User/Group"
- enewgroup citadel
- enewuser citadel -1 -1 ${MESSAGEBASE} citadel,mail
-}
-
-src_prepare() {
- # this is an ugly workaround to point S to the proper dir.
- # doing so before src_unpack leads to circular path definition and is not helping
- S="${WORKDIR}/${P}/${PN}"
- cd "$S" || die "changing into proper source dir failed"
-
- echo ... running mk_svn_revision.sh ...
- ./scripts/mk_svn_revision.sh || die "mk_svn_revision.sh failed"
- echo ... running mk_module_init.sh ...
- ./scripts/mk_module_init.sh || die "mk_module_init.sh failed"
-
- eautoreconf || die "eautoreconf failed"
-}
-
-src_configure() {
- econf \
- --with-rundir=/var/run/citadel \
- --with-datadir=/var/lib/citadel \
- --with-spooldir=/var/spool/citadel \
- --with-autosysconfdir=/var/lib/citadel/data \
- --with-staticdatadir=/etc/citadel \
- --with-sysconfdir=/etc/citadel \
- --with-ssldir=/etc/ssl/citadel \
- --with-helpdir=/usr/share/citadel-server \
- --with-docdir=/usr/share/doc/${PF} \
- --with-utility-bindir=/usr/$(get_libdir)/citadel \
- $(use_enable pic pie) \
- $(use_with pam) \
- $(use_with ssl openssl) \
- $(use_with ldap) \
- --with-db
-}
-
-src_install() {
- if use pam ; then
- dodir /etc/pam.d || die "Creating /etc/pam.d failed in sandbox"
- fi
-
- emake DESTDIR="${D}" install-new || die "make install failed"
-
- # Protect ${MESSAGEBASE}
- echo CONFIG_PROTECT="${MESSAGEBASE}" > "${T}"/10citadel
- doenvd "${T}"/10citadel || die "Config-protecting failed"
-
- # Keep emerge from removing empty directories when updating
- keepdir "${MESSAGEBASE}"/data
- keepdir /var/spool/citadel/network/{systems,spoolout,spoolin}
- keepdir /var/run/citadel/network/{systems,spoolout,spoolin}
- keepdir /etc/citadel/messages
-
- #Fix some permissions and sendmail stuff
- fowners citadel:citadel /etc/citadel /var/lib/citadel || die "Changing owner failed"
- fowners root:citadel /usr/sbin/citmail || die "Changing owner failed"
- rm "${D}"/usr/sbin/sendmail || die "Removing sendmail bin failed"
- if ! use postfix ; then
- dosym /usr/sbin/citmail /usr/sbin/sendmail || die "Linking sendmail to citmail failed"
- dosym /usr/sbin/citmail /usr/$(get_libdir)/sendmail || die "Compatibility sendmail link failed"
- fi
-
- if use ldap ; then
- insinto /etc/openldap/schema
- doins openldap/citadel.schema || die "Inserting LDAP schema failed"
- doins openldap/rfc2739.schema || die "Inserting LDAP schema failed"
- fi
-
- newinitd "${FILESDIR}"/citadel.init citadel || die "Inserting initscript failed"
- newconfd "${FILESDIR}"/citadel.confd citadel || die "Inserting conf for initscript failed"
-}
-
-pkg_postinst() {
- #removing a file Citadel complains about in the logs while running
- rm /var/lib/citadel/data/.keep_mail-mta_citadel-0 || die "Removing keepdir dummie failed"
-
- einfo "The administration tools have been placed in /usr/$(get_libdir)/citadel"
- einfo
- einfo "There are two possible options to get Citadel running, if this is"
- einfo "a new install:"
- einfo
- einfo "1. The no-nonse fullspeed approach with most stuff done for you:"
- einfo "# emerge --config =${CATEGORY}/${PF}"
- einfo
- einfo "2. Manually configuring it with its setup routine:"
- einfo "You should make yourself familiar with Citadels setup:"
- einfo "http://www.citadel.org/doku.php/documentation:cmdman:setup"
- einfo "You probalby do not want to let setup chose the mode of starting"
- einfo
- einfo "The second approach is only recommended to experienced users!!!"
- einfo
- einfo "The service will automatically start after you configured it."
- einfo "Initscript is /etc/init.d/citadel. Also look into /etc/conf.d"
- einfo
- einfo "The following clients are available:"
- einfo "a) the citadel console client was installed with this ebuild"
- einfo "b) www-servers/webcit provides a web-based gui"
-}
-
-pkg_config() {
- #we have to stop the server if it is accidently running
- [ -f /var/run/citadel/citadel.socket ] && \
- die "Citadel seems to be running, please stop it while configuring!"
-
- #Citadel's setup uses a few enviromental variables to control it.
- # Mandatory for non-interactive setup!
- export CITADEL_INSTALLER="yes"
-
- # Citadel location.
- export CITADEL="/var/run/citadel/"
-
- if use ldap ; then
- export SLAPD_Binary="/usr/$(get_libdir)/openldap/slapd"
- export LDAP_CONFIG="/etc/openldap/sldap.conf"
- fi
-
- # Don't create any inittab/initscript/xinet stuff entry.
- # We'll provide our own init script
- export CREATE_INITTAB_ENTRY="no"
- export CREATE_XINETD_ENTRY="no"
- export NO_INIT_SCRIPTS="yes"
- export ACT_AS_MTA="no" #just prohibits setup to mess with init scripts
-
- einfo "On which ip should the server listen?"
- einfo "Press enter to default to 0.0.0.0 and listen on all interfaces."
- read -rp " >" ipadress ; echo
- if [ -z "$ipadress" ] ; then
- export IP_ADDR="0.0.0.0"
- else
- export IP_ADDR="$ipadress"
- fi
-
- # The main admin name for citadel can be chosen at random
- einfo "Insert a name for your citadel admin account:"
- read -rp " >" sysadminname ; echo
- export SYSADMIN_NAME="$sysadminname"
-
- local pwd1="misch"
- local pwd2="masch"
-
- until [[ "x$pwd1" = "x$pwd2" ]] ; do
- einfo "Insert a password for the citadel admin user"
- einfo "Avoid [\"'\\_%] characters in the password"
- read -rsp " >" pwd1 ; echo
-
- einfo "Retype the password"
- read -rsp " >" pwd2 ; echo
-
- if [[ "x$pwd1" != "x$pwd2" ]] ; then
- ewarn "Passwords are not the same"
- fi
- done
- export SYSADMIN_PW="$pwd2"
-
- #Now we will create the config using defaults and enviromental variables.
- /usr/$(get_libdir)/citadel/setup -q
- unset SYSADMIN_PW
-
- #Verify the /etc/services entry was made
- if [ -f /etc/services ] && ! grep -q '^citadel' /etc/services ; then
- echo "citadel 504/tcp # citadel" >> /etc/services
- fi
-
- einfo "Be sure to read the documentation in /usr/share/doc/${PF}"
- einfo
- einfo "The server should now be up and running, enjoy!"
- einfo "Citadel will listen on its default port 504"
- if use postfix ; then
- einfo
- einfo "Citadel listens on port 25 by default, even with postfix useflag!"
- einfo "Right now this can only be disabled in WebCit or with the cli client."
- einfo "There is no elegant way to disable that atm, will be fixed upstream."
- einfo "Sorry for this inconvenience!"
- fi
-}
diff --git a/mail-mta/citadel/files/citadel.confd b/mail-mta/citadel/files/citadel.confd
deleted file mode 100644
index 1d7329c..0000000
--- a/mail-mta/citadel/files/citadel.confd
+++ /dev/null
@@ -1,24 +0,0 @@
-# Config file for /etc/init.d/citadel
-
-#Define the Logfacility
-LogFacility="mail"
-
-#Define the Loglevel
-LogLevel="3"
-
-#Define a trace file (only for debugging)
-#TraceFile="/dev/null"
-
-
-#Don't mess with the following lines unless you really know what you are doing!
-#I mean it!! This might b0rk your citadel.
-#You could use -D instead of -d, if needed.
-#Or mess around with -hHomeDir, which i do not recommend
-CITSERVER_OPTS="-d -x${LogLevel} -l${LogFacility}"
-
-#-l Log facility. Usually “mail”
-#-d daemonize (detach from controlling terminal)
-#-D print the directories the server would access to stderr on startup
-#-t${TraceFile} Send log messages to a file instead of syslog
-#-x${LogLevel} Verbosity level of logging (0 to 9)
-#-h${HomeDir} Data directory for this Citadel installation. If the directory name begins with a forward slash, it is an absolute path; otherwise it is relative to the default. Watch the output of -D to observe the effects.
diff --git a/mail-mta/citadel/files/citadel.init b/mail-mta/citadel/files/citadel.init
deleted file mode 100644
index 7d76679..0000000
--- a/mail-mta/citadel/files/citadel.init
+++ /dev/null
@@ -1,36 +0,0 @@
-#!/sbin/runscript
-
-# original Author: Wilfried Goesgens <citadel@outgesourced.org>
-# adapted for Gentoo: the_mgt <themgt@mail.ru>
-
-depend() {
- use dns logger
- need net
- provide mta
-}
-
-RUNDIR="/var/run/citadel"
-DAEMON="/usr/sbin/citserver"
-PIDFILE="${RUNDIR}/citadel.pid"
-SENDCOMMAND="/usr/sbin/sendcommand"
-
-# Exit if the package is not installed
-[ -x "$DAEMON" ] || exit 0
-
-svc_start() {
- ebegin "Starting citserver"
- start-stop-daemon --start --exec /usr/sbin/citserver -- ${CITSERVER_OPTS}
- eend $?
-}
-
-svc_stop() {
- ebegin "Stopping citserver"
- start-stop-daemon --stop --quiet --pidfile ${PIDFILE}
- eend $?
-}
-
-restart() {
- ebegin "Restarting citserver"
- svc_stop && sleep 3 && svc_start
- eend $? "Failed to restart Citadel"
-}
diff --git a/mail-mta/citadel/files/mailer.conf b/mail-mta/citadel/files/mailer.conf
deleted file mode 100644
index c9087a7..0000000
--- a/mail-mta/citadel/files/mailer.conf
+++ /dev/null
@@ -1,9 +0,0 @@
-# Execute the "real" sendmail program from citadel,
-# named /usr/sbin/citmail
-#
-sendmail /usr/sbin/citmail
-
-#Citadel doesn't support these functions
-#send-mail /usr/sbin/citmail
-#mailq /usr/sbin/citmail
-#newaliases /usr/sbin/citmail
diff --git a/media-libs/babl/babl-0.9999.ebuild b/media-libs/babl/babl-0.9999.ebuild
deleted file mode 100644
index 256ea43..0000000
--- a/media-libs/babl/babl-0.9999.ebuild
+++ /dev/null
@@ -1,37 +0,0 @@
-# Copyright 1999-2009 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/media-libs/babl/babl-0.0.22.ebuild,v 1.7 2009/01/31 09:11:00 mabi Exp $
-
-inherit git
-
-DESCRIPTION="A dynamic, any to any, pixel format conversion library"
-HOMEPAGE="http://www.gegl.org/babl/"
-SRC_URI=""
-
-EGIT_REPO_URI="git://git.gnome.org/babl"
-EGIT_BOOTSTRAP="./autogen.sh"
-
-
-LICENSE="LGPL-3"
-SLOT=""
-KEYWORDS=""
-IUSE="sse mmx"
-
-DEPEND="virtual/libc"
-
-src_unpack(){
- git_src_unpack
-}
-
-src_compile() {
- econf $(use_enable mmx) \
- $(use_enable sse) \
- || die "econf failed"
- emake || die "emake failed"
-}
-
-src_install() {
- emake install DESTDIR="${D}" || die "emake install failed"
- find "${D}" -name '*.la' -delete
-# dodoc AUTHORS ChangeLog README NEWS || die "dodoc failed"
-}
diff --git a/media-libs/libgpod/libgpod-9999.ebuild b/media-libs/libgpod/libgpod-9999.ebuild
deleted file mode 100644
index da25c35..0000000
--- a/media-libs/libgpod/libgpod-9999.ebuild
+++ /dev/null
@@ -1,76 +0,0 @@
-# Copyright 1999-2008 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/media-libs/libgpod/libgpod-0.6.0.ebuild,v 1.11 2008/11/01 16:47:41 tester Exp $
-
-inherit eutils git autotools
-
-DESCRIPTION="Shared library to access the contents of an iPod"
-HOMEPAGE="http://www.gtkpod.org/libgpod.html"
-SRC_URI=""
-
-EGIT_REPO_URI="git://gtkpod.git.sourceforge.net/gitroot/gtkpod/libgpod"
-EGIT_BOOTSTRAP="./autogen.sh"
-
-S="${WORKDIR}/${P/_/}"
-
-LICENSE="LGPL-2"
-SLOT=""
-KEYWORDS=""
-IUSE="gtk python doc test hal"
-
-RDEPEND=">=dev-libs/glib-2.4
- >=app-pda/libplist-1
- hal? ( =sys-apps/hal-0.5* )
- sys-apps/sg3_utils
- dev-util/gtk-doc
- gtk? ( >=x11-libs/gtk+-2 )
- python? ( >=dev-lang/python-2.3
- >=x11-libs/gtk+-2
- media-libs/mutagen
- gtk? ( >=dev-python/pygobject-2 ) )
- test? ( media-libs/taglib )"
-DEPEND="${RDEPEND}
- doc? ( dev-util/gtk-doc )
- python? ( >=dev-lang/swig-1.3.24 )
- dev-util/pkgconfig"
-
-src_unpack() {
- git_src_unpack
- cd "${S}"
-# eautoreconf
-
-# epatch "${FILESDIR}/${P}+gcc-4.3.patch"
-
-# elibtoolize
-}
-
-src_compile() {
-
- local myconf
-
- if use gtk; then
- myconf="--enable-pygobject"
- else
- myconf="--disable-pygobject"
- fi
-
- econf ${myconf} \
- $(use_enable doc gtk-doc) \
- $(use_enable gtk gdk-pixbuf) \
- $(use_with hal hal) \
- $(use_with python) || die "configure failed"
-
- emake || die "make failed"
-
-}
-
-src_install() {
- make DESTDIR="${D}" install || die "install failed"
- dodoc README TROUBLESHOOTING AUTHORS NEWS README.SysInfo
-}
-
-pkg_postinst() {
- einfo "If you use a newer Ipod like the Ipod classic, make sure to read"
- einfo "the information in README.SysInfo in /usr/share/doc/${P}"
- einfo "This is no needed if HAL is installed and works correctly."
-}
diff --git a/net-wireless/bluez/bluez-9999.ebuild b/net-wireless/bluez/bluez-9999.ebuild
deleted file mode 100644
index 79b6e69..0000000
--- a/net-wireless/bluez/bluez-9999.ebuild
+++ /dev/null
@@ -1,182 +0,0 @@
-# Copyright 1999-2010 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-wireless/bluez/bluez-4.72.ebuild,v 1.1 2010/09/24 21:32:51 pacho Exp $
-
-EAPI="2"
-
-inherit multilib eutils git autotools
-
-DESCRIPTION="Bluetooth Tools and System Daemons for Linux"
-HOMEPAGE="http://bluez.sourceforge.net/"
-EGIT_REPO_URI="git://git.kernel.org/pub/scm/bluetooth/bluez.git"
-SRC_URI=""
-LICENSE="GPL-2 LGPL-2.1"
-SLOT="0"
-KEYWORDS=""
-
-IUSE="alsa attrib caps +consolekit cups debug gstreamer maemo6 health old-daemons pcmcia pnat test-programs usb"
-
-CDEPEND="alsa? (
- media-libs/alsa-lib[alsa_pcm_plugins_extplug,alsa_pcm_plugins_ioplug]
- )
- caps? ( >=sys-libs/libcap-ng-0.6.2 )
- gstreamer? (
- >=media-libs/gstreamer-0.10
- >=media-libs/gst-plugins-base-0.10 )
- usb? ( dev-libs/libusb )
- cups? ( net-print/cups )
- >=sys-fs/udev-146[extras]
- >=dev-libs/glib-2.14
- sys-apps/dbus
- media-libs/libsndfile
- >=dev-libs/libnl-1.1
- !net-wireless/bluez-libs
- !net-wireless/bluez-utils"
-DEPEND="sys-devel/flex
- >=dev-util/pkgconfig-0.20
- ${CDEPEND}"
-RDEPEND="${CDEPEND}
- consolekit? ( sys-auth/pambase[consolekit] )
- test-programs? (
- dev-python/dbus-python
- dev-python/pygobject )"
-
-pkg_setup() {
- if ! use consolekit; then
- enewgroup plugdev
- fi
-}
-
-src_prepare() {
- eautoreconf
-# if ! use consolekit; then
-# # No consolekit for at_console etc, so we grant plugdev the rights
-# epatch "${FILESDIR}/bluez-plugdev.patch"
-# fi
-
-# if use cups; then
-# epatch "${FILESDIR}/4.60/cups-location.patch"
-# fi
-}
-
-src_configure() {
- econf \
- $(use_enable caps capng) \
- --enable-network \
- --enable-serial \
- --enable-input \
- --enable-audio \
- --enable-service \
- $(use_enable gstreamer) \
- $(use_enable alsa) \
- $(use_enable usb) \
- --enable-netlink \
- --enable-tools \
- --enable-bccmd \
- --enable-dfutool \
- $(use_enable old-daemons hidd) \
- $(use_enable old-daemons pand) \
- $(use_enable old-daemons dund) \
- $(use_enable attrib) \
- $(use_enable health) \
- $(use_enable pnat) \
- $(use_enable maemo6) \
- $(use_enable cups) \
- $(use_enable test-programs test) \
- --enable-udevrules \
- --enable-configfiles \
- $(use_enable pcmcia) \
- $(use_enable debug) \
- --localstatedir=/var \
- --disable-hal
-}
-
-src_install() {
- emake DESTDIR="${D}" install || die "make install failed"
-
- dodoc AUTHORS ChangeLog README || die
-
- if use test-programs ; then
- cd "${S}/test"
- dobin simple-agent simple-service monitor-bluetooth
- newbin list-devices list-bluetooth-devices
- for b in apitest hsmicro hsplay test-* ; do
- newbin "${b}" "bluez-${b}"
- done
- insinto /usr/share/doc/${PF}/test-services
- doins service-*
-
- cd "${S}"
- fi
-
- if use old-daemons; then
- newconfd "${FILESDIR}/4.18/conf.d-hidd" hidd || die
- newinitd "${FILESDIR}/init.d-hidd" hidd || die
- newconfd "${FILESDIR}/conf.d-dund" dund || die
- newinitd "${FILESDIR}/init.d-dund" dund || die
- fi
-
- insinto /etc/bluetooth
- doins \
- input/input.conf \
- audio/audio.conf \
- network/network.conf \
- serial/serial.conf \
- || die
-
- insinto /etc/udev/rules.d/
- newins "${FILESDIR}/${PN}-4.18-udev.rules" 70-bluetooth.rules || die
- exeinto /$(get_libdir)/udev/
- newexe "${FILESDIR}/${PN}-4.18-udev.script" bluetooth.sh || die
-
- newinitd "${FILESDIR}/bluetooth-init.d" bluetooth || die
- newconfd "${FILESDIR}/4.60/bluetooth-conf.d" bluetooth || die
-
- # Install oui.txt as requested in bug #283791 and approved by upstream
- insinto /var/lib/misc
- doins "${DISTDIR}/oui.txt" || die
-}
-
-pkg_postinst() {
- udevadm control --reload-rules && udevadm trigger --subsystem-match=bluetooth
-
- if ! has_version "net-dialup/ppp"; then
- elog
- elog "To use dial up networking you must install net-dialup/ppp."
- fi
-
- if ! has_version "net-wireless/gnome-bluetooth" && ! has_version "net-wireless/kbluetooth"; then
- elog
- elog "For desktop integration you can try net-wireless/gnome-bluetooth"
- elog "for gnome and net-wireless/kbluetooth for kde."
- fi
-
- if ! use old-daemons; then
- elog
- elog "Use the old-daemons use flag to get the old daemons like hidd or pand"
- elog "installed. Please note that 'bluetooth' init script doesn't stop the old"
- elog "daemons after you update it, so it's recommended to stop all of them using"
- elog "their own init scripts or manually killing them."
- fi
-
- if use consolekit; then
- elog
- elog "If you want to use rfcomm as a normal user, you need to add the user"
- elog "to the uucp group."
- else
- elog
- elog "Since you have the consolekit use flag disabled, you will only be able to run"
- elog "bluetooth clients as root. If you want to be able to run bluetooth clientes as "
- elog "a regular user, you need to enable the consolekit use flag for this package or"
- elog "to add the user to the plugdev group."
- fi
-
- if use old-daemons; then
- elog
- elog "dund and hidd init scripts were installed because you have the old-daemons"
- elog "use flag on. They are not started by default via udev so please add them"
- elog "to the required runlevels using rc-update <runlevel> add <dund/hidd>. If"
- elog "you need init scripts for the other daemons, please file requests"
- elog "to https://bugs.gentoo.org."
- fi
-}
diff --git a/net-wireless/bluez/files/4.18/bluetooth-conf.d b/net-wireless/bluez/files/4.18/bluetooth-conf.d
deleted file mode 100644
index c84ac4f..0000000
--- a/net-wireless/bluez/files/4.18/bluetooth-conf.d
+++ /dev/null
@@ -1,10 +0,0 @@
-# Bluetooth configuraton file
-
-# Run hid2hci (allowed values are "true" and "false")
-HID2HCI_ENABLE=false
-
-# Bind rfcomm devices (allowed values are "true" and "false")
-RFCOMM_ENABLE=true
-
-# Config file for rfcomm
-RFCOMM_CONFIG="/etc/bluetooth/rfcomm.conf"
diff --git a/net-wireless/bluez/files/4.18/bluetooth-init.d b/net-wireless/bluez/files/4.18/bluetooth-init.d
deleted file mode 100644
index d667084..0000000
--- a/net-wireless/bluez/files/4.18/bluetooth-init.d
+++ /dev/null
@@ -1,48 +0,0 @@
-#!/sbin/runscript
-# Copyright 1999-2008 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-wireless/bluez/files/4.18/bluetooth-init.d,v 1.1 2008/11/28 21:21:35 dev-zero Exp $
-
-depend() {
- after coldplug
- need dbus localmount
-}
-
-start() {
- ebegin "Starting Bluetooth"
- local result=0
-
- ebegin " Starting bluetoothd"
- # -s enables internal sdp server
- start-stop-daemon --start \
- --exec /usr/sbin/bluetoothd
- result=$?
- eend ${result}
-
- if [ "${HID2HCI_ENABLE}" = "true" -a -x /usr/sbin/hid2hci ]; then
- ebegin " Running hid2hci"
- /usr/sbin/hid2hci --tohci -q #be quiet
- [ ${result} == 0 ] && result=$?
- eend ${result}
- fi
-
- if [ "${RFCOMM_ENABLE}" = "true" -a -x /usr/bin/rfcomm ]; then
- if [ -f "${RFCOMM_CONFIG}" ]; then
- ebegin " Starting rfcomm"
- /usr/bin/rfcomm -f "${RFCOMM_CONFIG}" bind all
- [ ${result} == 0 ] && result=$?
- eend ${result}
- else
- ewarn "Not enabling rfcomm because RFCOMM_CONFIG does not exists"
- fi
- fi
-
- eend ${result}
-}
-
-stop() {
- ebegin "Shutting down Bluetooth"
-
- start-stop-daemon --stop --quiet --exec /usr/sbin/bluetoothd
- eend $?
-}
diff --git a/net-wireless/bluez/files/4.18/conf.d-hidd b/net-wireless/bluez/files/4.18/conf.d-hidd
deleted file mode 100644
index 1677ef0..0000000
--- a/net-wireless/bluez/files/4.18/conf.d-hidd
+++ /dev/null
@@ -1,5 +0,0 @@
-# Bluetooth hidd daemon configuraton file
-
-# Arguments to hidd
-HIDD_OPTIONS="--encrypt"
-
diff --git a/net-wireless/bluez/files/4.18/cups-location.patch b/net-wireless/bluez/files/4.18/cups-location.patch
deleted file mode 100644
index e0ddc02..0000000
--- a/net-wireless/bluez/files/4.18/cups-location.patch
+++ /dev/null
@@ -1,18 +0,0 @@
-? cups/.deps
-? cups/Makefile
-? cups/Makefile.in
-Index: cups/Makefile.am
-===================================================================
-RCS file: /cvsroot/bluez/utils/cups/Makefile.am,v
-retrieving revision 1.9
-diff -u -r1.9 Makefile.am
---- cups/Makefile.am 20 Aug 2006 02:21:03 -0000 1.9
-+++ cups/Makefile.am 1 Jun 2007 15:47:14 -0000
-@@ -1,6 +1,6 @@
-
- if CUPS
--cupsdir = $(libdir)/cups/backend
-+cupsdir = `cups-config --serverbin`/backend
-
- cups_PROGRAMS = bluetooth
- else
diff --git a/net-wireless/bluez/files/4.18/init.d-hidd b/net-wireless/bluez/files/4.18/init.d-hidd
deleted file mode 100644
index 9e61281..0000000
--- a/net-wireless/bluez/files/4.18/init.d-hidd
+++ /dev/null
@@ -1,29 +0,0 @@
-#!/sbin/runscript
-# Copyright 1999-2007 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-wireless/bluez/files/4.18/init.d-hidd,v 1.1 2008/11/28 21:21:35 dev-zero Exp $
-
-depend() {
- need bluetooth
-}
-
-start() {
- ebegin "Starting hidd"
- start-stop-daemon --start --quiet \
- --exec /usr/bin/hidd -- ${HIDD_OPTIONS} --server
- local result="$?"
- local service="/etc/bluetooth/input.service"
- if [ "${result}" != "0" ] && grep -q "Autostart=true" ${service}; then
- eerror "You have Autostart=true in ${service}."
- eerror "Change this to false if you want to use hidd."
- fi
- eend ${result}
-}
-
-stop() {
- ebegin "Stopping hidd"
- hidd --killall
- start-stop-daemon --stop --quiet --exec /usr/bin/hidd
- eend $?
-}
-
diff --git a/net-wireless/bluez/files/4.31-as_needed.patch b/net-wireless/bluez/files/4.31-as_needed.patch
deleted file mode 100644
index 99b8ce4..0000000
--- a/net-wireless/bluez/files/4.31-as_needed.patch
+++ /dev/null
@@ -1,31 +0,0 @@
-diff -Naur bluez-4.31.orig/common/Makefile.am bluez-4.31/common/Makefile.am
---- bluez-4.31.orig/common/Makefile.am 2009-02-27 22:57:29.515330134 +0100
-+++ bluez-4.31/common/Makefile.am 2009-02-27 22:58:11.249328307 +0100
-@@ -4,6 +4,8 @@
- libhelper_a_SOURCES = oui.h oui.c textfile.h textfile.c logging.h logging.c \
- glib-helper.h glib-helper.c sdp-xml.h sdp-xml.c btio.h btio.c
-
-+libhelper_a_LIBADD = @BLUEZ_LIBS@
-+
- noinst_PROGRAMS = test_textfile
-
- test_textfile_LDADD = libhelper.a
-diff -Naur bluez-4.31.orig/test/Makefile.am bluez-4.31/test/Makefile.am
---- bluez-4.31.orig/test/Makefile.am 2009-02-27 22:57:29.518659538 +0100
-+++ bluez-4.31/test/Makefile.am 2009-02-27 23:07:09.294597176 +0100
-@@ -23,13 +23,13 @@
-
- bdaddr_SOURCES = bdaddr.c
-
--bdaddr_LDADD = @BLUEZ_LIBS@ $(top_builddir)/common/libhelper.a
-+bdaddr_LDADD = $(top_builddir)/common/libhelper.a @BLUEZ_LIBS@
-
- lmptest_LDADD = @BLUEZ_LIBS@
-
- agent_LDADD = @DBUS_LIBS@
-
--btiotest_LDADD = @GLIB_LIBS@ @BLUEZ_LIBS@ $(top_builddir)/common/libhelper.a
-+btiotest_LDADD = @GLIB_LIBS@ $(top_builddir)/common/libhelper.a @BLUEZ_LIBS@
-
- noinst_MANS = bdaddr.8
-
diff --git a/net-wireless/bluez/files/4.34-conditional_libsbc.patch b/net-wireless/bluez/files/4.34-conditional_libsbc.patch
deleted file mode 100644
index e4924c7..0000000
--- a/net-wireless/bluez/files/4.34-conditional_libsbc.patch
+++ /dev/null
@@ -1,39 +0,0 @@
-The configure stuff is a inconsequent:
-- even if neither alsa nor gstreamer support is enabled, SBC_LIBS gets substituted by libsbc.la
- which doesn't get build without alsa or gstreamer. Making this conditional helps.
-- ipctest needs both libipc.la and libsbc.la and fails if SBC_LIBS/SBC_CFLAGS are empty,
- making the build conditional helps again.
---- acinclude.m4.orig 2009-04-06 16:26:14.570780241 +0200
-+++ acinclude.m4 2009-04-06 16:26:59.540779148 +0200
-@@ -330,8 +330,10 @@
- AC_SUBST([GDBUS_CFLAGS], ['-I$(top_srcdir)/gdbus'])
- AC_SUBST([GDBUS_LIBS], ['$(top_builddir)/gdbus/libgdbus.la'])
-
-- AC_SUBST([SBC_CFLAGS], ['-I$(top_srcdir)/sbc'])
-- AC_SUBST([SBC_LIBS], ['$(top_builddir)/sbc/libsbc.la'])
-+ if (test "${alsa_enable}" = "yes" || test "${gstreamer_enable}" = "yes"); then
-+ AC_SUBST([SBC_CFLAGS], ['-I$(top_srcdir)/sbc'])
-+ AC_SUBST([SBC_LIBS], ['$(top_builddir)/sbc/libsbc.la'])
-+ fi
-
- AM_CONDITIONAL(SNDFILE, test "${sndfile_enable}" = "yes" && test "${sndfile_found}" = "yes")
- AM_CONDITIONAL(NETLINK, test "${netlink_enable}" = "yes" && test "${netlink_found}" = "yes")
---- audio/Makefile.am.orig 2009-04-06 16:47:21.240681272 +0200
-+++ audio/Makefile.am 2009-04-06 17:42:27.240597715 +0200
-@@ -60,10 +60,16 @@
-
- libipc_la_SOURCES = ipc.h ipc.c
-
-+if AUDIOPLUGIN
-+if SBC
-+
- noinst_PROGRAMS = ipctest
-
- ipctest_LDADD= libipc.la @SBC_LIBS@ @GLIB_LIBS@
-
-+endif
-+endif
-+
- AM_CFLAGS = -fvisibility=hidden @SBC_CFLAGS@ \
- @BLUEZ_CFLAGS@ @DBUS_CFLAGS@ @GLIB_CFLAGS@ @GDBUS_CFLAGS@
-
diff --git a/net-wireless/bluez/files/4.60/bluetooth-conf.d b/net-wireless/bluez/files/4.60/bluetooth-conf.d
deleted file mode 100644
index b0cc744..0000000
--- a/net-wireless/bluez/files/4.60/bluetooth-conf.d
+++ /dev/null
@@ -1,7 +0,0 @@
-# Bluetooth configuraton file
-
-# Bind rfcomm devices (allowed values are "true" and "false")
-RFCOMM_ENABLE=true
-
-# Config file for rfcomm
-RFCOMM_CONFIG="/etc/bluetooth/rfcomm.conf"
diff --git a/net-wireless/bluez/files/4.60/bluetooth-init.d b/net-wireless/bluez/files/4.60/bluetooth-init.d
deleted file mode 100644
index 42f2238..0000000
--- a/net-wireless/bluez/files/4.60/bluetooth-init.d
+++ /dev/null
@@ -1,31 +0,0 @@
-#!/sbin/runscript
-# Copyright 1999-2008 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-wireless/bluez/files/4.60/bluetooth-init.d,v 1.2 2010/06/11 10:14:00 pacho Exp $
-
-depend() {
- after coldplug
- need dbus localmount
-}
-
-start() {
- ebegin "Starting Bluetooth"
-
- udevadm trigger --subsystem-match=bluetooth --action=add
- eend $?
-
- if [ "${RFCOMM_ENABLE}" = "true" -a -x /usr/bin/rfcomm ]; then
- if [ -f "${RFCOMM_CONFIG}" ]; then
- ebegin " Starting rfcomm"
- /usr/bin/rfcomm -f "${RFCOMM_CONFIG}" bind all
- eend $?
- else
- ewarn "Not enabling rfcomm because RFCOMM_CONFIG does not exists"
- fi
- fi
-}
-
-stop() {
- ebegin "Shutting down Bluetooth"
- eend 0
-}
diff --git a/net-wireless/bluez/files/4.60/cups-location.patch b/net-wireless/bluez/files/4.60/cups-location.patch
deleted file mode 100644
index 66ed8dc..0000000
--- a/net-wireless/bluez/files/4.60/cups-location.patch
+++ /dev/null
@@ -1,13 +0,0 @@
-diff --git a/Makefile.tools b/Makefile.tools
-index d9a2425..a382e05 100644
---- a/Makefile.tools
-+++ b/Makefile.tools
-@@ -122,7 +122,7 @@ EXTRA_DIST += tools/dfubabel.1 tools/avctrl.8
-
-
- if CUPS
--cupsdir = $(libdir)/cups/backend
-+cupsdir = `cups-config --serverbin`/backend
-
- cups_PROGRAMS = cups/bluetooth
-
diff --git a/net-wireless/bluez/files/bluetooth-init.d b/net-wireless/bluez/files/bluetooth-init.d
deleted file mode 100644
index 6e19ffb..0000000
--- a/net-wireless/bluez/files/bluetooth-init.d
+++ /dev/null
@@ -1,33 +0,0 @@
-#!/sbin/runscript
-# Copyright 1999-2008 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-wireless/bluez/files/bluetooth-init.d,v 1.1 2010/09/07 11:00:27 pacho Exp $
-
-depend() {
- after coldplug
- need dbus localmount
-}
-
-start() {
- ebegin "Starting Bluetooth"
-
- udevadm trigger --subsystem-match=bluetooth --action=add
- eend $?
-
- if [ "${RFCOMM_ENABLE}" = "true" -a -x /usr/bin/rfcomm ]; then
- if [ -f "${RFCOMM_CONFIG}" ]; then
- eindent
- ebegin "Starting rfcomm"
- /usr/bin/rfcomm -f "${RFCOMM_CONFIG}" bind all
- eoutdent
- eend $?
- else
- ewarn "Not enabling rfcomm because RFCOMM_CONFIG does not exists"
- fi
- fi
-}
-
-stop() {
- ebegin "Shutting down Bluetooth"
- eend 0
-}
diff --git a/net-wireless/bluez/files/bluez-4.18-udev.rules b/net-wireless/bluez/files/bluez-4.18-udev.rules
deleted file mode 100644
index b3ccd5b..0000000
--- a/net-wireless/bluez/files/bluez-4.18-udev.rules
+++ /dev/null
@@ -1,5 +0,0 @@
-# Start/Stop bluetooth service on device insertion. Gentoo specific.
-SUBSYSTEM=="bluetooth", KERNEL=="hci[0-9]*", RUN+="bluetooth.sh"
-
-# So that normal users can dial out.
-SUBSYSTEM=="tty", SUBSYSTEMS=="bluetooth", GROUP="uucp"
diff --git a/net-wireless/bluez/files/bluez-4.18-udev.script b/net-wireless/bluez/files/bluez-4.18-udev.script
deleted file mode 100644
index a532e26..0000000
--- a/net-wireless/bluez/files/bluez-4.18-udev.script
+++ /dev/null
@@ -1,28 +0,0 @@
-#!/bin/sh
-#
-# bluetooth.sh: udev external RUN script
-#
-# Copyright:
-# 2005-2006 Henrik Brix Andersen <brix@gentoo.org>
-# 2007 Petteri Räty <betelgeuse@gentoo.org>
-# 2008 Tiziano Müller <dev-zero@gentoo.org>
-# Distributed under the terms of the GNU General Public License v2
-
-script=/etc/init.d/bluetooth
-
-# Find out where sysfs is mounted. Exit if not available
-sysfs=`grep -F sysfs /proc/mounts | awk '{print $2}'`
-if [ "$sysfs" = "" ]; then
- echo "sysfs is required"
- exit 1
-fi
-
-if [ ! -d $sysfs/class/bluetooth/hci[0-9]* -a ! -d $sysfs/bus/bluetooth/devices/hci[0-9]* ]; then
- if $script --quiet status; then
- IN_HOTPLUG=1 $script --quiet stop
- fi
-else
- if ! $script --quiet status; then
- IN_HOTPLUG=1 $script --quiet start
- fi
-fi
diff --git a/net-wireless/bluez/files/bluez-4.62-makefile_ipctest.patch b/net-wireless/bluez/files/bluez-4.62-makefile_ipctest.patch
deleted file mode 100644
index 6304a6f..0000000
--- a/net-wireless/bluez/files/bluez-4.62-makefile_ipctest.patch
+++ /dev/null
@@ -1,29 +0,0 @@
-From f62006a86143f2c8556b4e6f3e74508db6b2aa5d Mon Sep 17 00:00:00 2001
-From: Vinicius Costa Gomes <vinicius.gomes@openbossa.org>
-Date: Mon, 8 Mar 2010 20:01:32 -0300
-Subject: [PATCH 1/1] Fix compilation when --enable-test is passed
-
-When --enable-test is passed along with --disable-alsa and
---disable-gstreamer, the SBC lib is not built, which breaks
-compilation of the ipctest test program.
----
- acinclude.m4 | 3 ++-
- 1 files changed, 2 insertions(+), 1 deletions(-)
-
-diff --git a/acinclude.m4 b/acinclude.m4
-index 2e4444d..f7bb047 100644
---- a/acinclude.m4
-+++ b/acinclude.m4
-@@ -316,7 +316,8 @@ AC_DEFUN([AC_ARG_BLUEZ], [
-
- AM_CONDITIONAL(SNDFILE, test "${sndfile_enable}" = "yes" && test "${sndfile_found}" = "yes")
- AM_CONDITIONAL(USB, test "${usb_enable}" = "yes" && test "${usb_found}" = "yes")
-- AM_CONDITIONAL(SBC, test "${alsa_enable}" = "yes" || test "${gstreamer_enable}" = "yes")
-+ AM_CONDITIONAL(SBC, test "${alsa_enable}" = "yes" || test "${gstreamer_enable}" = "yes" ||
-+ test "${test_enable}" = "yes")
- AM_CONDITIONAL(ALSA, test "${alsa_enable}" = "yes" && test "${alsa_found}" = "yes")
- AM_CONDITIONAL(GSTREAMER, test "${gstreamer_enable}" = "yes" && test "${gstreamer_found}" = "yes")
- AM_CONDITIONAL(AUDIOPLUGIN, test "${audio_enable}" = "yes")
---
-1.7.0.2
-
diff --git a/net-wireless/bluez/files/bluez-alsa_location.patch b/net-wireless/bluez/files/bluez-alsa_location.patch
deleted file mode 100644
index 4d0712c..0000000
--- a/net-wireless/bluez/files/bluez-alsa_location.patch
+++ /dev/null
@@ -1,16 +0,0 @@
-bluez installs stuff into /etc/alsa, which is wrong since the
-correct location (also stated in alsa-lib configure.in) is
-/usr/share/alsa instead
-Upstream report:
-http://permalink.gmane.org/gmane.linux.bluez.kernel/4739
---- Makefile.am~ 2010-02-12 20:26:48.000000000 +0100
-+++ Makefile.am 2010-03-05 10:17:15.000000000 +0100
-@@ -241,7 +241,7 @@
- audio_libasound_module_ctl_bluetooth_la_CFLAGS = @ALSA_CFLAGS@
-
- if CONFIGFILES
--alsaconfdir = $(sysconfdir)/alsa
-+alsaconfdir = $(datadir)/alsa
-
- alsaconf_DATA = audio/bluetooth.conf
- endif
diff --git a/net-wireless/bluez/files/bluez-plugdev.patch b/net-wireless/bluez/files/bluez-plugdev.patch
deleted file mode 100755
index 726838a..0000000
--- a/net-wireless/bluez/files/bluez-plugdev.patch
+++ /dev/null
@@ -1,14 +0,0 @@
-diff -Nurp bluez-4.39.orig/src/bluetooth.conf bluez-4.39/src/bluetooth.conf
---- bluez-4.39.orig/src/bluetooth.conf 2008-12-20 20:18:10.000000000 +0100
-+++ bluez-4.39/src/bluetooth.conf 2009-09-05 13:30:34.411581498 +0200
-@@ -17,6 +17,10 @@
- <allow send_destination="org.bluez"/>
- </policy>
-
-+ <policy group="plugdev">
-+ <allow send_destination="org.bluez"/>
-+ </policy>
-+
- <policy context="default">
- <deny send_destination="org.bluez"/>
- </policy>
diff --git a/net-wireless/bluez/files/conf.d-dund b/net-wireless/bluez/files/conf.d-dund
deleted file mode 100644
index a199fc7..0000000
--- a/net-wireless/bluez/files/conf.d-dund
+++ /dev/null
@@ -1,4 +0,0 @@
-# Bluetooth DUN daemon configuraton file
-
-# Arguments to dund
-DUND_OPTIONS="--search --persist"
diff --git a/net-wireless/bluez/files/init.d-dund b/net-wireless/bluez/files/init.d-dund
deleted file mode 100644
index c8c8663..0000000
--- a/net-wireless/bluez/files/init.d-dund
+++ /dev/null
@@ -1,25 +0,0 @@
-#!/sbin/runscript
-# Copyright 1999-2010 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-wireless/bluez/files/init.d-dund,v 1.1 2010/09/24 21:32:51 pacho Exp $
-
-depend() {
- need bluetooth
-}
-
-start() {
- local result service
-
- ebegin "Starting dund"
- start-stop-daemon --start --quiet \
- --exec /usr/bin/dund -- ${DUND_OPTIONS}
- result="$?"
- eend ${result}
-}
-
-stop() {
- ebegin "Stopping dund"
- /usr/bin/dund -K
- start-stop-daemon --stop --quiet --exec /usr/bin/dund
- eend $?
-}
diff --git a/net-wireless/bluez/files/init.d-hidd b/net-wireless/bluez/files/init.d-hidd
deleted file mode 100644
index 39399a9..0000000
--- a/net-wireless/bluez/files/init.d-hidd
+++ /dev/null
@@ -1,30 +0,0 @@
-#!/sbin/runscript
-# Copyright 1999-2007 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-wireless/bluez/files/init.d-hidd,v 1.1 2010/09/07 11:00:27 pacho Exp $
-
-depend() {
- need bluetooth
-}
-
-start() {
- local result service
-
- ebegin "Starting hidd"
- start-stop-daemon --start --quiet \
- --exec /usr/bin/hidd -- ${HIDD_OPTIONS} --server
- result="$?"
- service="/etc/bluetooth/input.service"
- if [ ${result} -ne 0 ] && grep -q "Autostart=true" "${service}"; then
- eerror "You have Autostart=true in ${service}."
- eerror "Change this to false if you want to use hidd."
- fi
- eend ${result}
-}
-
-stop() {
- ebegin "Stopping hidd"
- hidd --killall
- start-stop-daemon --stop --quiet --exec /usr/bin/hidd
- eend $?
-}
diff --git a/x11-libs/qtscriptgenerator/files/gcc4.4.patch b/x11-libs/qtscriptgenerator/files/gcc4.4.patch
deleted file mode 100644
index 3e464da..0000000
--- a/x11-libs/qtscriptgenerator/files/gcc4.4.patch
+++ /dev/null
@@ -1,12 +0,0 @@
-diff --git a/generator/parser/rpp/pp-internal.h b/generator/parser/rpp/pp-internal.h
-index bb1abde..0326faf 100644
---- a/generator/parser/rpp/pp-internal.h
-+++ b/generator/parser/rpp/pp-internal.h
-@@ -16,6 +16,7 @@
- #define PP_INTERNAL_H
-
- #include <algorithm>
-+#include <cstdio>
-
- namespace rpp {
-
diff --git a/x11-libs/qtscriptgenerator/qtscriptgenerator-9999.ebuild b/x11-libs/qtscriptgenerator/qtscriptgenerator-9999.ebuild
deleted file mode 100644
index e28e218..0000000
--- a/x11-libs/qtscriptgenerator/qtscriptgenerator-9999.ebuild
+++ /dev/null
@@ -1,76 +0,0 @@
-# Copyright 1999-2009 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-
-EAPI="2"
-
-inherit multilib git qt4
-
-DESCRIPTION="Tool for generating Qt bindings for Qt Script"
-HOMEPAGE="http://code.google.com/p/qtscriptgenerator/"
-EGIT_REPO_URI="git://labs.trolltech.com/qtscriptgenerator"
-
-LICENSE="GPL-2"
-KEYWORDS=""
-SLOT="live"
-IUSE="debug"
-
-DEPEND="
- x11-libs/qt-dbus:4
- x11-libs/qt-gui:4
- x11-libs/qt-opengl:4
- || (
- x11-libs/qt-phonon:4
- media-sound/phonon
- )
- x11-libs/qt-script:4
- x11-libs/qt-sql:4
- x11-libs/qt-svg:4
- x11-libs/qt-xmlpatterns:4
-"
-RDEPEND="${DEPEND}"
-
-PLUGINS="core gui network opengl sql svg uitools webkit xml xmlpatterns"
-
-src_unpack() {
- git_src_unpack
- cd ${S}
- epatch ${FILESDIR}/gcc4.4.patch
-}
-
-pkg_setup(){
- QTDIR="/usr/include/qt4"
- QTLIBDIR="/usr/$(get_libdir)/qt4/"
-}
-src_prepare() {
- # remove phonon
- sed -i \
- -e "/typesystem_phonon.xml/d" \
- generator/generator.qrc || die "sed failed"
- sed -i \
- -e "/qtscript_phonon/d" \
- qtbindings/qtbindings.pro || die "sed failed"
- git_src_prepare
- qt4_src_prepare
-}
-
-src_configure() {
- cd "${S}"/generator
- eqmake4 generator.pro
- cd "${S}"/qtbindings
- eqmake4 qtbindings.pro
-}
-
-src_compile() {
- cd "${S}"/generator
- emake || die "emake generator failed"
- ./generator --include-paths="/usr/include/qt4/" || die "running generator failed"
- cd "${S}"/qtbindings
- emake || die "make qtbindings failed"
-}
-
-src_install() {
- insinto "${QTLIBDIR}"/plugins/script/
- insopts -m0755
- doins -r "${S}"/plugins/script/*.so || die "doins failed"
-}